
QGIS Application - Bug report #16060

Multi geometry on oracle table

2017-01-11 12:48 AM - dany Lefeuvre

Status: Open

Priority: High

Assignee:

Category: Data Provider/Oracle

Affected QGIS version:3.6.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 23975

Description

Qgis crash if I use Oracle Table with multi Geometry. The function "Include additional geometry attributes" not work properly.

History

#1 - 2017-01-12 05:00 AM - Giovanni Manghi

- Priority changed from Normal to High

- Category set to Data Provider/Oracle

- Status changed from Open to Feedback

- Crashes QGIS or corrupts data changed from No to Yes

Does it happens with previous qgis releases?

#2 - 2017-01-13 05:35 AM - dany Lefeuvre

The problem existed in 2.16, I don't test in LTR version

#3 - 2017-03-06 10:06 AM - Giovanni Manghi

dany Lefeuvre wrote:

The problem existed in 2.16, I don't test in LTR version

please test also with 2.18.4 as it will become the next LTR. Thanks.

#4 - 2017-03-07 02:51 AM - dany Lefeuvre

Same problem on 2.18.4.

#5 - 2017-03-07 02:56 AM - Giovanni Manghi

- Status changed from Feedback to Open

#6 - 2017-05-01 01:01 AM - Giovanni Manghi

- Regression? set to No
- Easy fix? set to No

#7 - 2017-05-01 05:20 PM - Giovanni Manghi

- Regression? changed from No to Yes

#8 - 2017-07-25 08:31 PM - Giovanni Manghi

- Regression? changed from Yes to No

#9 - 2019-02-24 04:04 PM - Giovanni Manghi

- Status changed from Open to Feedback

Still valid in 3.4.5/3.6 or master?

#10 - 2019-03-04 04:27 PM - dany Lefeuvre

It's worse on 3.6.

Before I could add a layer on one geometry of multi geometry table. It's only when I wanted open many layer on the same table than QGIS crash. 

Now QGIS crash (without message) when i try add a layer of multi geometry table.

#11 - 2019-03-05 03:11 PM - Giovanni Manghi

- Status changed from Feedback to Open

- Affected QGIS version changed from 2.18.2 to 3.6.0
